org.apache.jasper.el

## Class ELContextWrapper

- java.lang.Object
- - javax.el.ELContext
  - - org.apache.jasper.el.ELContextWrapper

    public final class ELContextWrapper
    extends ELContext

Simple ELContextWrapper for runtime evaluation of EL w/ dynamic FunctionMappers

Author:
  jhook

### Constructor Summary

Constructors
Constructor and Description
`ELContextWrapper(ELContext target, FunctionMapper fnMapper)`

### Method Summary

Methods
`Object` `getContext(Class key)`
`ELResolver` `getELResolver()`
`FunctionMapper` `getFunctionMapper()`
`Locale` `getLocale()`
`VariableMapper` `getVariableMapper()`
`boolean` `isPropertyResolved()`
`void` `putContext(Class key, Object contextObject)`
`void` `setLocale(Locale locale)`
`void` `setPropertyResolved(boolean resolved)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELContextWrapper

    public ELContextWrapper(ELContext target,
                    FunctionMapper fnMapper)

### Method Detail

#### getELResolver

    public ELResolver getELResolver()

Specified by:
  `getELResolver` in class `ELContext`

#### getFunctionMapper

    public FunctionMapper getFunctionMapper()

Specified by:
  `getFunctionMapper` in class `ELContext`

#### getVariableMapper

    public VariableMapper getVariableMapper()

Specified by:
  `getVariableMapper` in class `ELContext`

#### getContext

    public Object getContext(Class key)

Overrides:
  `getContext` in class `ELContext`

#### getLocale

    public Locale getLocale()

Overrides:
  `getLocale` in class `ELContext`

#### isPropertyResolved

    public boolean isPropertyResolved()

Overrides:
  `isPropertyResolved` in class `ELContext`

#### putContext

    public void putContext(Class key,
                  Object contextObject)
                    throws NullPointerException

Overrides:
  `putContext` in class `ELContext`
Throws:
  `NullPointerException`

#### setLocale

    public void setLocale(Locale locale)

Overrides:
  `setLocale` in class `ELContext`

#### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

Overrides:
  `setPropertyResolved` in class `ELContext`